OggPlay: a library for playing Ogg multimedia

Overview
--------

The current version of the plugin is still under development therefore
the setup requires manual installation of the plugin. For more information,
see also:

  http://wiki.xiph.org/index.php/OggPlay

Dependencies
------------

For the core library (liboggplay), you need

  * libogg, libvorbis, libtheora, optionally libspeex -- from http://www.xiph.org/

    svn co http://svn.xiph.org/trunk/ogg/ ogg
    svn co http://svn.xiph.org/trunk/vorbis/ vorbis
    svn co http://svn.xiph.org/trunk/theora/ theora

  * liboggz and libfishsound -- from svn.annodex.net:

    svn co http://svn.annodex.net/liboggz/trunk liboggz
    svn co http://svn.annodex.net/libfishsound/trunk libfishsound

Optionally, for Kate stream support, you need

  * libkate -- from http://libkate.googlecode.com/

See the README files associated with these libraries for installation
instructions.

To build src/examples/glut-player, you need:
  * The core liboggplay dependencies (listed above)
  * GLUT -- see http://www.opengl.org/resources/libraries/

To build src/examples/dump-all-streams, you need:
  * The core liboggplay dependencies (listed above)
  * libsndfile -- from http://www.mega-nerd.com/libsndfile/

To build src/tools/oggplay-dump-first-frame, you need:
  * The core liboggplay dependencies (listed above)
  * Imlib2 -- from your distribution or from 
              http://sourceforge.net/project/showfiles.php?group_id=2&package_id=11130

On Debian, the required packages for all these additional libraries are:
  g++ libogg-dev libvorbis-dev libspeex-dev libtheora-dev libsndfile1-dev
  libimlib2-dev libglut-dev

Compile and Install liboggplay
------------------------------

./autogen.sh
./configure
make && make install


